
User Interface - Bug #2776

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

mouse processing for alert-box does not work in the web client

10/23/2015 08:33 AM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Sergey Ivanovskiy % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Bug #2773: simpler_alert_box.p fails in web GUI c... Closed

History

#1 - 10/23/2015 08:35 AM - Greg Shah

This can be recreated with simpler_alert_box.p.  You cannot click on any button with the mouse (but enter and space on keyboard work).

Moving the alert-box using the mouse is also broken.

In 1811s rev 11033, there are other problems with the key processing which are being worked in #2775.

#2 - 10/23/2015 08:36 AM - Greg Shah

The described mouse processing does work in the Swing GUI client for 1811s rev 11033.

#3 - 10/23/2015 02:57 PM - Greg Shah

- Assignee set to Sergey Ivanovskiy

#4 - 10/25/2015 05:00 PM - Sergey Ivanovskiy

- File 2776_1.txt added

Greg, please review this fix. I can commit it to 2677a.

#5 - 10/25/2015 05:19 PM - Sergey Ivanovskiy

- File 2776_2.txt added

The last diff fixes the MouseHandler to enable/disable focus processing. If the windows OS events processing flag is enabled, MouseHandler enables

focus processing for its window.

#6 - 10/25/2015 06:44 PM - Greg Shah

Please check in the changes.

#7 - 10/26/2015 05:04 AM - Sergey Ivanovskiy

Committed revision 10960 should fix this issue.
https://proj.goldencode.com/issues/2775


#8 - 10/27/2015 10:41 AM - Greg Shah

- Status changed from New to Closed

#9 - 11/10/2015 05:10 AM - Greg Shah

- % Done changed from 0 to 100

#10 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

2776_1.txt 8.18 KB 10/25/2015 Sergey Ivanovskiy

2776_2.txt 9.56 KB 10/25/2015 Sergey Ivanovskiy
